#include <vhttpd/log.h>
#include "private.h"

#include <unistd.h>
#include <fcntl.h>

void
close_on_exec(int fd)
{
    long flags;

    ASSERT_STRERROR((flags = fcntl(fd, F_GETFD)) != -1);
    flags |= FD_CLOEXEC;
    ASSERT_STRERROR(fcntl(fd, F_SETFD, flags) != -1);
}
